Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfWrapContourModeType

    java.lang.Object
      java.lang.Enum<OdfWrapContourModeType>
          org.odftoolkit.odfdom.dom.type.style.OdfWrapContourModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfWrapContourModeType>

    public enum OdfWrapContourModeType

extends Enum<OdfWrapContourModeType>

DOM implementation of OpenDocument attribute style:wrap-contour-mode.

Enum Constant Summary
`FULL`
`OUTSIDE`

Method Summary
`static OdfWrapContourModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfWrapContourModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfWrapContourModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfWrapContourModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OUTSIDE

    public static final OdfWrapContourModeType OUTSIDE

### FULL

    public static final OdfWrapContourModeType FULL

Method Detail

### values

    public static OdfWrapContourModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfWrapContourModeType c : OdfWrapContourModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfWrapContourModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfWrapContourModeType>`
  Returns:
    return the name of OdfWrapContourModeType

### toString

    public static String toString(OdfWrapContourModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfWrapContourModeType, see style:wrap-contour-mode
  Returns:
    return the name of OdfWrapContourModeType

### enumValueOf

    public static OdfWrapContourModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfWrapContourModeType
  Returns:
    return the constant of OdfWrapContourModeType, see style:wrap-contour-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.